function setPsychoModuleExptGUI(this)
set(this.HTrackContainer,'Units','normalized');
TrackPanel = uipanel('parent',this.HTrackContainer, ...
    'Units', 'normalized', ...
    'Position',[0, 0, 1, 1],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );

this.HTrackPlot = axes('Parent', TrackPanel, ...
    'Units', 'normalized', ...
    'Tag','HTrackPlot', ...
    'position', [0.1,0.475,0.35,0.35]...
    );
plot(this.HTrackPlot,1,1)
set(this.HTrackPlot,'XLim', [0 1]);
set(this.HTrackPlot,'YLim', [min(this.MeasurementData.Conditions(1).StepValues),...
    max(this.MeasurementData.Conditions(1).StepValues)]);
set(this.HTrackPlot.Title,'string','Current Condtion');
set(this.HTrackPlot.Title,'Color',[1,0.5,0]);
set(this.HTrackPlot.XLabel,'string','Run Number');
set(this.HTrackPlot.XLabel,'Color',[1,0.5,0]);
set(this.HTrackPlot,'XColor',[1,1,0]);
set(this.HTrackPlot.YLabel,'string','Step Value');
set(this.HTrackPlot.YLabel,'Color',[0.69803921568,0.13333333333,0.13333333333]);
set(this.HTrackPlot,'YColor',[0.69803921568,0.13333333333,0.13333333333]);


this.HTrackMeanPlot = axes('Parent', TrackPanel, ...
    'Units', 'normalized', ...
    'Tag','HTrackPlot', ...
    'position', [0.6,0.475,0.35,0.35]...
    );
bar(this.HTrackMeanPlot,1,0)
set(this.HTrackMeanPlot,'XLim', [1 numel(this.MeasurementData.Conditions)]);
set(this.HTrackMeanPlot,'YLim', [min(this.MeasurementData.Conditions(1).StepValues),...
    max(this.MeasurementData.Conditions(1).StepValues)]);
set(this.HTrackMeanPlot.Title,'string','Thresholds');
set(this.HTrackMeanPlot.Title,'Color',[0.6235,0,1]);
set(this.HTrackMeanPlot.XLabel,'string','Condtion');
set(this.HTrackMeanPlot.XLabel,'Color',[0.6235,0,1]);
set(this.HTrackMeanPlot,'XColor',[0,0.56470588235,1]);
set(this.HTrackMeanPlot.YLabel,'string','Threshold');
set(this.HTrackMeanPlot.YLabel,'Color',[0.3,0.7,0]);
set(this.HTrackMeanPlot,'YColor',[0.5,0.8,0]);
for i = 1:numel(this.MeasurementData.Conditions)
    cLegendData{i} = this.MeasurementData.Conditions(i).Description;
    cYData(i) = min(this.MeasurementData.Conditions(i).StepValues)-1;
end
this.HTrackMeanPlot.XTickLabelRotation = 45;
this.HTrackMeanPlot.XTick = [1:numel(this.MeasurementData.Conditions)];
set(this.HTrackMeanPlot.Children,'YData', cYData)
set(this.HTrackMeanPlot,'xticklabel', cLegendData)

uicontrol(this.HTrackContainer, ...
    'Tag','subjectName', ...
    'Style','text', ...
    'FontSize',14,...
    'HorizontalAlignment', 'left', ...
    'String',['Subject:  ',this.MeasurementData.ExptParams.SubjectName], ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.01, 0.95, 0.3, 0.03],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','trialDescription', ...
    'Style','text', ...
    'FontSize',14,...
    'HorizontalAlignment', 'left', ...
    'String','Trial: ', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.01, 0.90, 0.3, 0.03],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','trialNum', ...
    'Style','text', ...
    'FontSize',14,...
    'HorizontalAlignment', 'left', ...
    'String','Trial Number: ', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.01, 0.85, 0.3, 0.03],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','runCounter', ...
    'Style','text', ...
    'FontSize',14,...
    'HorizontalAlignment', 'left', ...
    'String','Run Number: ', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.69, 0.95, 0.3, 0.03],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','currentStep', ...
    'Style','text', ...
    'FontSize',14,...
    'HorizontalAlignment', 'left', ...
    'String','Step: ', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.69, 0.9, 0.3, 0.03],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','currentCorrect', ...
    'Style','text', ...
    'FontSize',14,...
    'HorizontalAlignment', 'left', ...
    'String','Correct: ', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.69, 0.85, 0.3, 0.03],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','currentCorrect', ...
    'Style','frame', ...
    'Units', 'normalized', ...
    'Position',[0, 0.85, 1, 0],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','currentCorrect', ...
    'Style','frame', ...
    'Units', 'normalized', ...
    'Position',[0, 0.43, 1, 0],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431]...
    );
%% Stim Ref Boxes
uicontrol(this.HTrackContainer, ...
    'Tag','C1TextBox', ...
    'Style','text', ...
    'FontSize',8,...
    'HorizontalAlignment', 'left', ...
    'String','', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0, 0, 0.2, 0.4],...
    'ForegroundColor', [1,1,0],...
    'BackgroundColor',[0.69803921568,0.13333333333,0.13333333333]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','C2TextBox', ...
    'Style','text', ...
    'FontSize',8,...
    'HorizontalAlignment', 'left', ...
    'String','', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.2, 0, 0.2, 0.4],...
    'ForegroundColor', [0.69803921568,0.13333333333,0.13333333333],...
    'BackgroundColor',[1,1,0]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','C1REFTextBox', ...
    'Style','text', ...
    'FontSize',8,...
    'HorizontalAlignment', 'left', ...
    'String','', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.4, 0, 0.2, 0.4],...
    'ForegroundColor', [0,0.56470588235,1],...
    'BackgroundColor',[0.67843137254,1,0.18431372549]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','C2REFTextBox', ...
    'Style','text', ...
    'FontSize',8,...
    'HorizontalAlignment', 'left', ...
    'String','', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.6, 0, 0.2, 0.4],...
    'ForegroundColor', [0.67843137254,1,0.18431372549],...
    'BackgroundColor',[0,0.56470588235,1]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','InfoTextBox', ...
    'Style','text', ...
    'enable','on',...
    'FontSize',8,...
    'HorizontalAlignment', 'left', ...
    'String','', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0.8, 0, 0.2, 0.4],...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[0.6235,0,1],...
    'enable','inactive'...
    );
%% Ref box labels
uicontrol(this.HTrackContainer, ...
    'Tag','C1TextBoxLabel', ...
    'Style','text', ...
    'FontSize',12,...
    'HorizontalAlignment', 'center', ...
    'String','Target Stim (C1)', .....
    'Units', 'normalized', ...
    'Position',[0, 0.4, 0.2, 0.02],...
    'enable','inactive',...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','C2TextBoxLabel', ...
    'Style','text', ...
    'FontSize',12,...
    'HorizontalAlignment', 'center', ...
    'String','Target Stim (C2)', ...
    'Units', 'normalized', ...
    'Position',[0.2, 0.4, 0.2, 0.02],...
    'enable','inactive',...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','C1REFTextBoxLabel', ...
    'Style','text', ...
    'FontSize',12,...
    'HorizontalAlignment', 'center', ...
    'String','Ref Stim (C1)', .....
    'Units', 'normalized', ...
    'Position',[0.4, 0.4, 0.2, 0.02],...
    'enable','inactive',...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
uicontrol(this.HTrackContainer, ...
    'Tag','C2REFTextBoxLabel', ...
    'Style','text', ...
    'FontSize',12,...
    'HorizontalAlignment', 'center', ...
    'String','Ref Stim (C2)', ...
    'Units', 'normalized', ...
    'Position',[0.6, 0.4, 0.2, 0.02],...
    'enable','inactive',...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );

uicontrol(this.HTrackContainer, ...
    'Tag','ConListLabel', ...
    'Style','text', ...
    'FontSize',12,...
    'HorizontalAlignment', 'center', ...
    'String','Condition List', ...
    'Units', 'normalized', ...
    'Position',[0.8, 0.4, 0.2, 0.02],...
    'enable','inactive',...
    'ForegroundColor', [0.94117647058,0.94117647058,0.90196078431],...
    'BackgroundColor',[1,0.07843137254,0.57647058823]...
    );
